#############################################################################
# Makefile for building: Program1
# Generated by qmake (3.1) (Qt 5.12.0)
# Project:  Program1.pro
# Template: app
# Command: C:\Qt\5.12\5.12.0\msvc2017_64\bin\qmake.exe -o Makefile Program1.pro
#############################################################################

MAKEFILE      = Makefile

####### Compiler, tools and options

CC            = cl
CXX           = cl
DEFINES       = -DUNICODE -D_UNICODE -DWIN32 -D_ENABLE_EXTENDED_ALIGNED_STORAGE -DWIN64 -DQT_NO_DEBUG -DQT_WEBENGINEWIDGETS_LIB -DQT_WEBENGINECORE_LIB -DQT_QUICK_LIB -DQT_PRINTSUPPORT_LIB -DQT_WIDGETS_LIB -DQT_GUI_LIB -DQT_WEBCHANNEL_LIB -DQT_QML_LIB -DQT_NETWORK_LIB -DQT_POSITIONING_LIB -DQT_CORE_LIB -DNDEBUG
CFLAGS        = -nologo -Zc:wchar_t -FS -Zc:strictStrings -O2 -MD $(DEFINES)
CXXFLAGS      = -nologo -Zc:wchar_t -FS -Zc:rvalueCast -Zc:inline -Zc:strictStrings -Zc:throwingNew -Zc:referenceBinding -Zc:__cplusplus -O2 -MD $(DEFINES)
INCPATH       = -I. -I..\VTK-7.1.1\installMSVC\include\vtk-7.1 -I..\qwt-6.1.4\src -I..\InteractiveCppLibQt5VTK7\InteractiveDLL -I..\InteractiveCppLibQt5VTK7\CFiles -I..\VTK-7.1.1\installMSVC\lib -I..\Qt\5.12\5.12.0\msvc2017_64\include -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtWebEngineWidgets -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtWebEngineCore -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtQuick -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtPrintSupport -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtWidgets -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtGui -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtANGLE -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtWebChannel -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtQml -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtNetwork -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtPositioning -I..\Qt\5.12\5.12.0\msvc2017_64\include\QtCore -I. -I..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\win32-msvc 
LINKER        = link
LFLAGS        = /NOLOGO /DYNAMICBASE /NXCOMPAT /INCREMENTAL:NO
LIBS          = lib\qwt.lib lib\vtkGUISupportQt-7.1.lib lib\vtkGUISupportQtOpenGL-7.1.lib lib\vtkFiltersCore-7.1.lib lib\vtkFiltersSources-7.1.lib lib\vtkCommonExecutionModel-7.1.lib lib\vtkFiltersGeneric-7.1.lib lib\vtkCommonCore-7.1.lib lib\vtkCommonDataModel-7.1.lib lib\vtkChartsCore-7.1.lib lib\vtkViewsContext2D-7.1.lib lib\vtkRenderingAnnotation-7.1.lib lib\vtkRenderingCore-7.1.lib lib\vtkRenderingVolume-7.1.lib lib\vtkRenderingVolumeOpenGL2-7.1.lib lib\vtkRenderingOpenGL2-7.1.lib lib\vtkRenderingFreeType-7.1.lib lib\vtkInteractionStyle-7.1.lib lib\vtkRenderingQt-7.1.lib lib\vtkImagingCore-7.1.lib lib\vtkIOImport-7.1.lib InteractiveLib.lib /LIBPATH:C:\Qt\5.12\5.12.0\msvc2017_64\lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5WebEngineWidgets.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5WebEngineCore.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Quick.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5PrintSupport.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Widgets.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Gui.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5WebChannel.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Qml.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Network.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Positioning.lib C:\Qt\5.12\5.12.0\msvc2017_64\lib\Qt5Core.lib   
QMAKE         = C:\Qt\5.12\5.12.0\msvc2017_64\bin\qmake.exe
IDC           = idc
IDL           = midl /NOLOGO
ZIP           = zip -r -9
DEF_FILE      = 
RES_FILE      = 
COPY          = copy /y
SED           = $(QMAKE) -install sed
COPY_FILE     = copy /y
COPY_DIR      = xcopy /s /q /y /i
DEL_FILE      = del
DEL_DIR       = rmdir
MOVE          = move
CHK_DIR_EXISTS= if not exist
MKDIR         = mkdir
INSTALL_FILE    = copy /y
INSTALL_PROGRAM = copy /y
INSTALL_DIR     = xcopy /s /q /y /i
QINSTALL        = C:\Qt\5.12\5.12.0\msvc2017_64\bin\qmake.exe -install qinstall
QINSTALL_PROGRAM = C:\Qt\5.12\5.12.0\msvc2017_64\bin\qmake.exe -install qinstall -exe

####### Output directory

OBJECTS_DIR   = . 

####### Files

SOURCES       = Program1.cpp 
OBJECTS       = Program1.obj

DIST          =   Program1.cpp
QMAKE_TARGET  = Program1
DESTDIR        =  #avoid trailing-slash linebreak
TARGET         = Program1.exe
DESTDIR_TARGET = Program1.exe

####### Implicit rules

.SUFFIXES: .c .cpp .cc .cxx

{.}.cpp{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.cc{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.cxx{}.obj::
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -Fo @<<
	$<
<<

{.}.c{}.obj::
	$(CC) -c $(CFLAGS) $(INCPATH) -Fo @<<
	$<
<<

####### Build rules

first: all
all: Makefile  Program1.exe

Program1.exe:  $(OBJECTS) 
	$(LINKER) $(LFLAGS) /OUT:$(DESTDIR_TARGET) @<<
Program1.obj
$(LIBS)
<<

Makefile: Program1.pro ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\win32-msvc\qmake.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_pre.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\angle.conf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\windows-vulkan.conf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-desktop.conf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\qconfig.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_accessibility_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bootstrap_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designercomponents_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_devicediscovery_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_edid_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_egl_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_eventdispatcher_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fb_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fontdatabase_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_packetprotocol_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_platformcompositor_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldebug_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldevtools_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickparticles_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickshapes_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quicktemplates2_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_theme_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uiplugin.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_vulkan_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecoreheaders_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_windowsuiautomation_support_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_zlib_private.pri \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_functions.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_config.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\win32-msvc\qmake.conf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_post.prf \
		.qmake.stash \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\exclusive_builds.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-version.conf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\toolchain.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_pre.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\default_pre.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resolve_config.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_post.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resources.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\moc.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\opengl.prf \
		..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\uic.prf \
		Program1.pro
	$(QMAKE) -o Makefile Program1.pro
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_pre.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\angle.conf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\windows-vulkan.conf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-desktop.conf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\qconfig.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_accessibility_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bootstrap_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designercomponents_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_devicediscovery_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_edid_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_egl_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_eventdispatcher_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fb_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fontdatabase_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_packetprotocol_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_platformcompositor_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldebug_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldevtools_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickparticles_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickshapes_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quicktemplates2_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_theme_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uiplugin.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_vulkan_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecoreheaders_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_windowsuiautomation_support_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_zlib_private.pri:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_functions.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_config.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\win32-msvc\qmake.conf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_post.prf:
.qmake.stash:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\exclusive_builds.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-version.conf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\toolchain.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_pre.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\default_pre.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resolve_config.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_post.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resources.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\moc.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\opengl.prf:
..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\uic.prf:
Program1.pro:
qmake: FORCE
	@$(QMAKE) -o Makefile Program1.pro

qmake_all: FORCE

dist:
	$(ZIP) Program1.zip $(SOURCES) $(DIST) Program1.pro ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_pre.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\angle.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\windows-vulkan.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-desktop.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\qconfig.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3danimation_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dcore_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dextras_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dinput_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dlogic_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquick_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickanimation_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickextras_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickinput_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickrender_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dquickscene2d_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3drender_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_3dstudioruntime2_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_accessibility_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axbase_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axcontainer_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_axserver_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bluetooth_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_bootstrap_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_charts_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_concurrent_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_core_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_datavisualization_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_dbus_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designer_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_designercomponents_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_devicediscovery_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_edid_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_egl_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_eventdispatcher_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fb_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_fontdatabase_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gamepad_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_gui_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_help_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_location_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimedia_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_multimediawidgets_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_network_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_networkauth_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_nfc_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opcua_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_opengl_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_openglextensions_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_packetprotocol_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_platformcompositor_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioning_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_positioningquick_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_printsupport_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_purchasing_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qml_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldebug_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmldevtools_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qmltest_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_qtmultimediaquicktools_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quick_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickcontrols2_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickparticles_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickshapes_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quicktemplates2_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_quickwidgets_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_remoteobjects_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_repparser_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_script_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scripttools_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_scxml_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sensors_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialbus_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_serialport_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_sql_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_svg_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_testlib_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_texttospeech_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_theme_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uiplugin.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_uitools_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_virtualkeyboard_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_vulkan_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webchannel_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webengine_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecore_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginecoreheaders_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webenginewidgets_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_websockets_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_webview_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_widgets_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_windowsuiautomation_support_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_winextras_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xml_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_xmlpatterns_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\modules\qt_lib_zlib_private.pri ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_functions.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt_config.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\win32-msvc\qmake.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\spec_post.prf .qmake.stash ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\exclusive_builds.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\common\msvc-version.conf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\toolchain.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_pre.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\default_pre.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resolve_config.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\default_post.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\qt.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\resources.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\moc.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\win32\opengl.prf ..\Qt\5.12\5.12.0\msvc2017_64\mkspecs\features\uic.prf Program1.pro     Program1.cpp  

clean: compiler_clean 
	-$(DEL_FILE) Program1.obj

distclean: clean 
	-$(DEL_FILE) .qmake.stash
	-$(DEL_FILE) $(DESTDIR_TARGET)
	-$(DEL_FILE) Makefile

mocclean: compiler_moc_header_clean compiler_moc_objc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_objc_header_make_all compiler_moc_source_make_all

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_moc_objc_header_make_all:
compiler_moc_objc_header_clean:
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_clean: 



####### Compile

Program1.obj: Program1.cpp 

####### Install

install:  FORCE

uninstall:  FORCE

FORCE:

